Subject: bug#37829: 27.0.50; Overlay behaviour changed without documentation.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Oct 2019 22:13:41 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 20 Oct 2019 18:49:23 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The idea behind this feature was that most faces shall not be
> > extended, so doing it the opposite way would mean we need to change
> > the definitions of an unlimited number of faces, including those not
> > in core.
> 
> We do not have to change anything not in core -- whether people want the
> new, more convenient behaviour, is up to them.

But under the assumption that most faces should not be extended, that
would mean our default is wrong in most cases, and what kind of
default is that?

> And there certainly aren't unlimited places we have to change thing
> in-tree, because most things in-tree look just how we wanted them to.

I said "including those not in core".

> > Others said the exact opposite: that they want to be able to do that
> > without having the face extended.
> 
> With the new interface, they can do that, whatever the default is.

They wanted to do that without customizing the faces.

> > Also, the automatic extension in Emacs 26 and before behaved
> > inconsistently in GUI and text-mode frames, and even between different
> > attributes (color vs underline, for example).
> 
> Well, the only attributes where it makes a difference are background
> colours and underline, surely?  (Well, and overline, but nobody uses
> that.)

No, there's also strikethrough and box.